Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.swt.graphics
Class RGB

    java.lang.Object
      org.eclipse.swt.graphics.RGB

All Implemented Interfaces:
  Serializable, org.eclipse.swt.internal.SerializableCompatibility

public final class RGB
extends Object
implements org.eclipse.swt.internal.SerializableCompatibility

Instances of this class are descriptions of colors in terms of the primary additive color model (red, green and blue). A color may be described in terms of the relative intensities of these three primary colors. The brightness of each color is specified by a value in the range 0 to 255, where 0 indicates no color (blackness) and 255 indicates maximum intensity.

The hashCode() method in this class uses the values of the public fields to compute the hash value. When storing instances of the class in hashed collections, do not modify these fields after the object has been inserted.

Application code does not need to explicitly release the resources managed by each instance when those instances are no longer required, and thus no `dispose()` method is provided.

See Also:
  `Color`, Serialized Form

Field Summary
`int` | `blue` the blue component of the RGB
`int` | `green` the green component of the RGB
`int` | `red` the red component of the RGB

Constructor Summary
`RGB(int red, int green, int blue)` Constructs an instance of this class with the given red, green and blue values.

Method Summary
`boolean` | `equals(Object object)` Compares the argument to the receiver, and returns true if they represent the same object using a class specific comparison.
`int` | `hashCode()` Returns an integer hash code for the receiver.
`String` | `toString()` Returns a string containing a concise, human-readable description of the receiver.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### red

    public int red

  the red component of the RGB

### green

    public int green

  the green component of the RGB

### blue

    public int blue

  the blue component of the RGB

Constructor Detail

### RGB

    public RGB(int red,
               int green,
               int blue)

  Constructs an instance of this class with the given red, green and blue values.

Parameters:
  `red` - the red component of the new instance
  `green` - the green component of the new instance
  `blue` - the blue component of the new instance
Throws:
  `IllegalArgumentException` -
  - ERROR_INVALID_ARGUMENT - if the red, green or blue argument is not between 0 and 255

Method Detail

### equals

    public boolean equals(Object object)

  Compares the argument to the receiver, and returns true if they represent the same object using a class specific comparison.

  Parameters:
    `object` - the object to compare with this object
  Returns:
    `true` if the object is the same as this object and `false` otherwise
  See Also:
    `hashCode()`

### hashCode

    public int hashCode()

  Returns an integer hash code for the receiver. Any two objects which return `true` when passed to `equals` must return the same value for this method.

  Returns:
    the receiver's hash
  See Also:
    `equals(Object)`

### toString

    public String toString()

  Returns a string containing a concise, human-readable description of the receiver.

  Returns:
    a string representation of the `RGB`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.